Package: org.gradle.api.artifacts

## [Java] Interface FileCollectionDependency

- org.gradle.api.artifacts.Dependency

- All Superinterfaces:
    Buildable, SelfResolvingDependency, Dependency

  A `FileCollectionDependency` is a Dependency on a collection of local files which are not stored in a repository.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Dependency` | `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `registerWatchPoints(org.gradle.api.internal.file.FileSystemSubset$Builder builder)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface SelfResolvingDependency` | `resolve, resolve`
    `interface Buildable` | `getBuildDependencies`
    `interface Dependency` | `contentEquals, copy, getGroup, getName, getVersion`

- - ### Method Detail

    - #### public void registerWatchPoints(org.gradle.api.internal.file.FileSystemSubset$Builder builder)